import { GiantbombSearch } from './giantbomb-search';
import { GiantbombCharacter } from './giantbomb-character';
import { GiantbombConcept } from './giantbomb-concept';
import { GiantbombCompany } from './giantbomb-company';
import { GiantbombLocation } from './giantbomb-location';
import { GiantbombObject } from './giantbomb-object';
import { GiantbombPerson } from './giantbomb-person';
import { GiantbombFranchise } from './giantbomb-franchise';
import { GiantbombGenre } from './giantbomb-genre';
import { GiantbombImage } from './giantbomb-image';
import { GiantbombImageTag } from './giantbomb-image-tag';
import { GiantbombGameRating } from './giantbomb-game-rating';
import { GiantbombPlatform } from './giantbomb-platform';
import { GiantbombRelease } from './giantbomb-release';
import { GiantbombDLC } from './giantbomb-dlc';
import { GiantbombReview } from './giantbomb-review';
import { GiantbombTheme } from './giantbomb-theme';
import { GiantbombVideo } from './giantbomb-video';

export interface GiantbombGame extends GiantbombSearch {
    aliases: string;
    api_detail_url: string;
    characters: GiantbombCharacter[];
    concepts: GiantbombConcept[];
    date_added: string;
    date_last_updated: string;
    deck: string;
    description: string;
    developers: GiantbombCompany[];
    expected_release_day: number;
    expected_release_month: number;
    expected_release_quarter: number;
    expected_release_year: number;
    first_appearance_characters: GiantbombCharacter[];
    first_appearance_concepts: GiantbombConcept[];
    first_appearance_locations: GiantbombLocation[];
    first_appearance_objects: GiantbombObject[];
    first_appearance_people: GiantbombPerson[];
    franchises: GiantbombFranchise[];
    genres: GiantbombGenre[];
    guid: string;
    id: number;
    image: GiantbombImage;
    images: GiantbombImage[];
    image_tags: GiantbombImageTag[];
    killed_characters: GiantbombCharacter[];
    locations: GiantbombLocation[];
    name: string;
    number_of_user_reviews: number;
    objects: GiantbombObject[];
    original_game_rating: GiantbombGameRating[];
    original_release_date: Date;
    people: GiantbombPerson[];
    platforms: GiantbombPlatform[];
    publishers: GiantbombCompany[];
    releases: GiantbombRelease[];
    dlcs: GiantbombDLC[];
    reviews: GiantbombReview[];
    similar_games: GiantbombGame[];
    site_detail_url: string;
    themes: GiantbombTheme[];
    videos: GiantbombVideo[];
}
